Summary:   Squid Internet Object Cache for caching proxy for www/ftp/gopher
Name:      squid
Version:   2.0
Release:   4
Serial:    2004
URL:       http://squid.nlanr.net/Squid/
Source0:   ftp://squid.nlanr.net/pub/squid-2/%{name}-%{version}.RELEASE-src.tar.gz
Source1:   squid-faq-981031.tar.gz
Source2:   squid.init
Source3:   squid.cron
Source4:   squid.sysconfig
Patch0:    squid-redhat.patch
Patch1:    diff-2.0.RELEASE-2.0.PATCH1.gz
Patch2:    diff-2.0.PATCH1-2.0.PATCH2.gz
Copyright: GPL 
Group:     Networking/Daemons
Prereq:    /sbin/chkconfig, /usr/sbin/useradd
BuildRoot: /tmp/%{name}-%{version}-root

%description
Squid is a high-performance proxy caching server for web clients,
supporting FTP, gopher, and HTTP data objects.  Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process.

%prep
%setup -q -a 1 -n %{name}-%{version}.RELEASE

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s  \
./configure --prefix=/usr           \
            --libexecdir=/usr/bin   \
            --localstatedir=/var    \
            --sysconfdir=/etc/squid \
            --enable-icmp

make all

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{cron.daily,rc.d/init.d,sysconfig}
install -d $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -d $RPM_BUILD_ROOT/usr/{man/man3,sbin}
install -d -m 775 $RPM_BUILD_ROOT/var/log/squid
install -d -m 770 $RPM_BUILD_ROOT/var/spool/squid

make prefix=$RPM_BUILD_ROOT/usr           \
     libexecdir=$RPM_BUILD_ROOT/usr/bin   \
     localstatedir=$RPM_BUILD_ROOT/var    \
     sysconfdir=$RPM_BUILD_ROOT/etc/squid \
     install install-pinger

install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/squid
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.daily/squid
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/squid
install -m 644 doc/tree.3 $RPM_BUILD_ROOT/usr/man/man3
install -m 644 $RPM_BUILD_ROOT/etc/squid/mime.conf.default $RPM_BUILD_ROOT/etc/squid/mime.conf

mv $RPM_BUILD_ROOT/usr/bin/cachemgr.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin/
mv $RPM_BUILD_ROOT/usr/bin/squid $RPM_BUILD_ROOT/usr/sbin/

for I in errors/*; do
   if test -d $I; then
      cp -rf $I $RPM_BUILD_ROOT/etc/squid/errors
   fi
done

sed 's/#cache_effective_user nobody/cache_effective_user squid/' $RPM_BUILD_ROOT/etc/squid/squid.conf.default > $RPM_BUILD_ROOT/etc/squid/squid.conf
cp -f $RPM_BUILD_ROOT/etc/squid/squid.conf $RPM_BUILD_ROOT/etc/squid/squid.conf.default
sed 's/#cache_effective_group nogroup/cache_effective_group squid/' $RPM_BUILD_ROOT/etc/squid/squid.conf.default > $RPM_BUILD_ROOT/etc/squid/squid.conf
cp -f $RPM_BUILD_ROOT/etc/squid/squid.conf $RPM_BUILD_ROOT/etc/squid/squid.conf.default
sed 's/#cachemgr_passwd disable all/cachemgr_passwd disable all/' $RPM_BUILD_ROOT/etc/squid/squid.conf.default > $RPM_BUILD_ROOT/etc/squid/squid.conf

rm -f $RPM_BUILD_ROOT/etc/squid/errors/ERR*
rm -f $RPM_BUILD_ROOT/etc/squid/mime.conf.default
rm -f $RPM_BUILD_ROOT/etc/squid/squid.conf.default
rm -f $RPM_BUILD_ROOT/usr/bin/Run*

%pre
if [ `grep squid /etc/passwd | wc -l` = 0 ]; then
   /usr/sbin/useradd -M -r -d /var/spool/squid -s /bin/bash \
                     -c "Squid - WWW Proxy Cache" squid || :
fi
if [ -f /var/lock/subsys/squid ]; then
   /etc/rc.d/init.d/squid stop
fi

%post
/sbin/chkconfig --add squid

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/squid ]; then
      /etc/rc.d/init.d/squid stop
   fi
   /sbin/chkconfig --del squid
fi

%postun
if [ $1 = 0 ]; then
   if [ `grep squid /etc/passwd | wc -l` = 1 ]; then
      /usr/sbin/userdel squid
      /usr/sbin/groupdel squid
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ doc/*.txt CONTRIBUTORS ChangeLog CREDITS
%doc QUICKSTART README TODO
%attr(600,squid,squid) %config /etc/squid/squid.conf
%attr(-,squid,squid) %config /etc/squid/mime.conf
%attr(-,squid,squid) %config /etc/squid/mib.txt
%attr(-,squid,squid) %config /etc/sysconfig/squid
%attr(-,squid,squid) %dir /etc/squid
%attr(-,squid,squid) %dir /var/log/squid
%attr(-,squid,squid) %dir /var/spool/squid
%config /etc/cron.daily/squid
%config /etc/rc.d/init.d/squid
%attr(-,squid,squid) %config /etc/squid/errors
%attr(-,squid,squid) /etc/squid/icons
/home/httpd/cgi-bin/*
/usr/bin/*
%attr(-,root,man) /usr/man/man3/tree.3
/usr/sbin/squid

%changelog
* Sat Oct 31 1998 Arne Coucheron <arneco@online.no>
  [2.0-4]
- applied a fix to squid.init to take into account the new cache_dir syntax
  (received from Christian Riege <criege@riege.de>)
- removed check for squid.novm binary from squid.init, it's been obsoleted
- using squid -k rotate to rotate logs, Red Hat's logrotate is a little
  braindead about this when not specifying a log name, so I'm doing this
  using a cron job for now
- updated the FAQ

* Mon Oct 12 1998 Arne Coucheron <arneco@online.no>
  [2.0-3]
- updated to PATCH2 release

* Mon Oct 05 1998 Arne Coucheron <arneco@online.no>
  [2.0-2]
- SNMP is somewhat broken (error messages at startup), so it is
  disabled for now

* Sun Oct 04 1998 Arne Coucheron <arneco@online.no>
  [2.0-1]
- 2.0 is released!
- updated the FAQ to current version

* Mon Sep 21 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta25-1]

* Mon Aug 24 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta24-1]
- updated the FAQ to current version

* Thu Jul 30 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta23-3]
- applied second and third patch set

* Sun Jul 26 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta23-2]
- applied first patch set

* Thu Jul 23 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta23-1]
- moved %doc to top of filelist, packaging problem fixed in RPM 2.5.2

* Tue Jun 09 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta22-3]
- enabled password for cachemgr.cgi, remember to set a password in squid.conf
  if you want access to the information cachemgr.cgi provides
- made squid.conf chmod 600 to prevent users from snapping up passwords
- by request dropped the removal of the cache dir when uninstalling
- updated the FAQ to current version

* Thu Jun 04 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta22-2]
- moved binaries from /usr/lib/squid to /usr/bin
- added a FAQ package to %docs
- added error pages for all the languages
- added %config to /etc/squid/errors in filelist
- removed RunAccel and RunCache from the package
- removed compiling with --enable-dlmalloc
- removal of the cache dir when uninstalling the rpm
- some other changes to the spec file

* Tue Jun 02 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta22-1]
- changed name of spec file to squid.spec
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- took the init script from the Red Hat 5.1 package and modified it for
  this package
- removed the initialization of the cache dir from %post, it's now done
  from the init script instead

* Sat May 23 1998 Arne Coucheron <arneco@online.no>
  [1.2.beta21-1]
- removed some older changelogs
- major changes to spec file for simplicity